<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>FBStatisticsManager (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBStatisticsManager (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBStatisticsManager.html" target="_top">Frames</a></li>
<li><a href="FBStatisticsManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBStatisticsManager" class="title">Class FBStatisticsManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">org.firebirdsql.management.FBServiceManager</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBStatisticsManager</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a>, <a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBStatisticsManager</span>
extends <a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a>
implements <a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></pre>
<div class="block">The <code>FBStatisticsManager</code> class is responsible for replicating the functionality of
 the <code>gstat</code> command-line tool.
 <p>
 This functionality includes:
 <ul>
 <li>Retrieving data table statistics</li>
 <li>Retrieving the database header page</li>
 <li>Retrieving index statistics</li>
 <li>Retrieving database logging information</li>
 <li>Retrieving statistics for the data dictionary</li>
 </ul>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:gab_reid@users.sourceforge.net">Gabriel Reid</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.management.StatisticsManager">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></h3>
<code><a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#BUFFER_SIZE">BUFFER_SIZE</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.org.firebirdsql.management.StatisticsManager">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></h3>
<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#DATA_TABLE_STATISTICS">DATA_TABLE_STATISTICS</a>, <a href="../../../org/firebirdsql/management/StatisticsManager.html#INDEX_STATISTICS">INDEX_STATISTICS</a>, <a href="../../../org/firebirdsql/management/StatisticsManager.html#RECORD_VERSION_STATISTICS">RECORD_VERSION_STATISTICS</a>, <a href="../../../org/firebirdsql/management/StatisticsManager.html#SYSTEM_TABLE_STATISTICS">SYSTEM_TABLE_STATISTICS</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#FBStatisticsManager--">FBStatisticsManager</a></span>()</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 the default GDSType.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#FBStatisticsManager-org.firebirdsql.gds.impl.GDSType-">FBStatisticsManager</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#FBStatisticsManager-java.lang.String-">FBStatisticsManager</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</code>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getDatabaseStatistics--">getDatabaseStatistics</a></span>()</code>
<div class="block">Get the full database statistics information, excluding system table information.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getDatabaseStatistics-int-">getDatabaseStatistics</a></span>(int&nbsp;options)</code>
<div class="block">Get specific database statistics.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getDatabaseTransactionInfo--">getDatabaseTransactionInfo</a></span>()</code>
<div class="block">Get transaction information of the database specified in <code>database</code>.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getDatabaseTransactionInfo-java.sql.Connection-">getDatabaseTransactionInfo</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)</code>
<div class="block">Get transaction information for an existing database connection.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getHeaderPage--">getHeaderPage</a></span>()</code>
<div class="block">Fetch the database statistics header page.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBStatisticsManager.html#getTableStatistics-java.lang.String:A-">getTableStatistics</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;tableNames)</code>
<div class="block">Get the table statistics.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.FBServiceManager">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management">FBServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/FBServiceManager.html#attachDatabase--">attachDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#attachServiceManager--">attachServiceManager</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#createRequestBuffer-org.firebirdsql.gds.ng.FbService-int-int-">createRequestBuffer</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ng.FbService-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#executeServicesOperation-org.firebirdsql.gds.ServiceRequestBuffer-">executeServicesOperation</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getServiceName--">getServiceName</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#queueService-org.firebirdsql.gds.ng.FbService-">queueService</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/FBServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.management.ServiceManager">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.management.<a href="../../../org/firebirdsql/management/ServiceManager.html" title="interface in org.firebirdsql.management">ServiceManager</a></h3>
<code><a href="../../../org/firebirdsql/management/ServiceManager.html#getAuthPlugins--">getAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getCharSet--">getCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDatabase--">getDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getDbCryptConfig--">getDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getHost--">getHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getLogger--">getLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPassword--">getPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getPort--">getPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getServerVersion--">getServerVersion</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getUser--">getUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#getWireCrypt--">getWireCrypt</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setAuthPlugins-java.lang.String-">setAuthPlugins</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setCharSet-java.lang.String-">setCharSet</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDatabase-java.lang.String-">setDatabase</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setDbCryptConfig-java.lang.String-">setDbCryptConfig</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setHost-java.lang.String-">setHost</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setLogger-java.io.OutputStream-">setLogger</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPassword-java.lang.String-">setPassword</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setPort-int-">setPort</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setUser-java.lang.String-">setUser</a>, <a href="../../../org/firebirdsql/management/ServiceManager.html#setWireCrypt-org.firebirdsql.gds.ng.WireCrypt-">setWireCrypt</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBStatisticsManager--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBStatisticsManager</h4>
<pre>public&nbsp;FBStatisticsManager()</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 the default GDSType.</div>
</li>
</ul>
<a name="FBStatisticsManager-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBStatisticsManager</h4>
<pre>public&nbsp;FBStatisticsManager(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - type must be PURE_JAVA, EMBEDDED, or NATIVE</dd>
</dl>
</li>
</ul>
<a name="FBStatisticsManager-org.firebirdsql.gds.impl.GDSType-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBStatisticsManager</h4>
<pre>public&nbsp;FBStatisticsManager(<a href="../../../org/firebirdsql/gds/impl/GDSType.html" title="class in org.firebirdsql.gds.impl">GDSType</a>&nbsp;gdsType)</pre>
<div class="block">Create a new instance of <code>FBMaintenanceManager</code> based on
 a given GDSType.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gdsType</code> - The GDS implementation type to use</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHeaderPage--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeaderPage</h4>
<pre>public&nbsp;void&nbsp;getHeaderPage()
                   throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getHeaderPage--">StatisticsManager</a></code></span></div>
<div class="block">Fetch the database statistics header page.
 <p>
 The header information is written to this <code>StatisticsManager</code>'s logger.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getHeaderPage--">getHeaderPage</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="getDatabaseStatistics--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseStatistics</h4>
<pre>public&nbsp;void&nbsp;getDatabaseStatistics()
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseStatistics--">StatisticsManager</a></code></span></div>
<div class="block">Get the full database statistics information, excluding system table information.
 <p>
 The statistics information is written to this <code>StatisticsManager</code>'s logger.
 </p>
 <p>
 The listed data includes:
 <ul>
 <li>statistics header page</li>
 <li>log statistics</li>
 <li>index statistics</li>
 <li>data table statistics</li>
 </ul>
 </p>
 <p>
 Invoking this method is equivalent to the default behaviour of <code>gstat</code> on the command-line.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseStatistics--">getDatabaseStatistics</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="getDatabaseStatistics-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseStatistics</h4>
<pre>public&nbsp;void&nbsp;getDatabaseStatistics(int&nbsp;options)
                           throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseStatistics-int-">StatisticsManager</a></code></span></div>
<div class="block">Get specific database statistics.
 <p>
 The statistics information is written to this <code>StatisticsManager</code>'s logger. All invocations of
 this method will result in the header page and log data being output.
 </p>
 <p>
 The following options can be supplied as a bitmask:
 <ul>
 <li><code>DATA_TABLE_STATISTICS</code></li>
 <li><code>SYSTEM_TABLE_STATISTICS</code></li>
 <li><code>INDEX_STATISTICS</code></li>
 <li><code>RECORD_VERSION_STATISTICS</code></li>
 </ul>
 </p>
 <p>
 If this method is invoked with <code>0</code> as the <code>options</code> value, only the header and log statistics will
 be output.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseStatistics-int-">getDatabaseStatistics</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>options</code> - A bitmask combination of
         <code>DATA_TABLE_STATISTICS</code>,
         <code>SYSTEM_TABLE_STATISTICS</code>,
         <code>INDEX_STATISTICS</code>, or
         <code>RECORD_VERSION_STATISTICS</code>.
         Can also be <code>0</code>, which is equivalent to calling method <a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseStatistics--"><code>StatisticsManager.getDatabaseStatistics()</code></a></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getTableStatistics-java.lang.String:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTableStatistics</h4>
<pre>public&nbsp;void&nbsp;getTableStatistics(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;tableNames)
                        throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getTableStatistics-java.lang.String:A-">StatisticsManager</a></code></span></div>
<div class="block">Get the table statistics.
 <p>
 The statistics information is written to this <code>StatisticsManager</code>'s logger.
 </p>
 <p>
 The listed data includes:
 <ul>
 <li>the primary pointer and index root page numbers</li>
 <li>number of data pages and their average fill</li>
 <li>fill distribution</li>
 </ul>
 </p>
 <p>
 Invoking this method is equivalent to the behaviour of <code>gstat -t &lt;table name&gt;</code> on the command-line.
 </p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getTableStatistics-java.lang.String:A-">getTableStatistics</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tableNames</code> - array of table names to analyze.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if something went wrong.</dd>
</dl>
</li>
</ul>
<a name="getDatabaseTransactionInfo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseTransactionInfo</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a>&nbsp;getDatabaseTransactionInfo()
                                                                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseTransactionInfo--">StatisticsManager</a></code></span></div>
<div class="block">Get transaction information of the database specified in <code>database</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/StatisticsManager.html#getDatabaseTransactionInfo--">getDatabaseTransactionInfo</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/StatisticsManager.html" title="interface in org.firebirdsql.management">StatisticsManager</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database transaction information</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If <code>database</code> is not specified, or for failures to connect or retrieve information</dd>
</dl>
</li>
</ul>
<a name="getDatabaseTransactionInfo-java.sql.Connection-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDatabaseTransactionInfo</h4>
<pre>public static&nbsp;<a href="../../../org/firebirdsql/management/StatisticsManager.DatabaseTransactionInfo.html" title="class in org.firebirdsql.management">StatisticsManager.DatabaseTransactionInfo</a>&nbsp;getDatabaseTransactionInfo(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Connection.html?is-external=true" title="class or interface in java.sql">Connection</a>&nbsp;connection)
                                                                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get transaction information for an existing database connection.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection; must unwrap to <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnection</code></a>.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Database transaction information</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - If <code>connection</code> does not unwrap to <a href="../../../org/firebirdsql/jdbc/FirebirdConnection.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdConnection</code></a>, or for failures to
         retrieve information</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBServiceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBStreamingBackupManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBStatisticsManager.html" target="_top">Frames</a></li>
<li><a href="FBStatisticsManager.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.org.firebirdsql.management.FBServiceManager">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
